Subject: [IPFIX] AD review: draft-trammell-ipfix-tcpcontrolbits-revision-03

From: Benoit Claise <[email-masked]>
Date: Mon, 07 Oct 2013 14:24:01 +0200

Dear all,

I accepted to AD sponsor this document.

Here is my review.

Do we need to say "update RFC 5102"? Not sure myself.
On one side, we update an IE specified in RFC 5102
On the other side, RFC 7012 says that the registry is THE reference.

Personally, I would have gone with the update path.
Anyway, not a blocking factor to progress the document. I will check 
with IANA.

OLD:

     IANA will update the definition of the tcpControlBits Information
    Element in the the IANA IPFIX Information Element Registry
    [IANA-IPFIX] to reflect the changes in Section 2 above.

NEW:

    IANA updates the definition of the tcpControlBits Information
    Element in the the IANA IPFIX Information Element Registry
    [IANA-IPFIX] to reflect the changes in Section 2 above.

There are a couple of nits, specifically because RFC 7011, 7012, 7013 
have been published.

Please post a new version, and I'll progress the document.

Regards, Benoit

---

From: Brian Trammell <[email-masked]>
Date: Mon, 7 Oct 2013 17:08:02 +0200

hi Benoit,

Thanks; comments inline...

> On the other side, RFC 7012 says that the registry is THE reference.

Given that, there's no need to update 5102; I've changed the abstract to make this a bit more clear:

This document revises the tcpControlBits IPFIX Information Element as originally defined in 
[RFC5102] to reflect changes to the TCP Flags header field since [RFC0793].
                                                                   ^^
      added "as originally defined" to make it clear that 5102 is the source, not the authority.

The change does replace revision 0 of the IE in the registry with revision 1; I'll change the IANA Considerations section to make this more explicit, too.

> Anyway, not a blocking factor to progress the document. I will check with IANA.
> 
> OLD:
> 

Changed to past-tense instead.

> 
> There are a couple of nits, specifically because RFC 7011, 7012, 7013 have been published.

Fixed the references.

> Please post a new version, and I'll progress the document.

Will do shortly.

Cheers,

Brian

---

From: Benoit Claise <[email-masked]>
Date: Mon, 07 Oct 2013 18:08:57 +0200

Hi Brian,
> The change does replace revision 0 of the IE in the registry with revision 1
"The change does replace revision 0 of the IE in the registry with 
revision 1" does the job for me.
> ; I'll change the IANA Considerations section to make this more explicit, too.
Ok;
> Changed to past-tense instead.
good.
>> Please post a new version, and I'll progress the document.
Great.
I'll progress the document from there.

Regards, Benoit